package agilpizza.modelo;

import static junit.framework.Assert.assertEquals;

import org.junit.Test;

import agilpizza.modelo.pizza.Ingrediente;

public class IngredienteTest {
	@Test
	public void testeIngredientePossuiNome() throws Exception {
		String nomeDeQueijo = "Queijo Branco";
		double valorDeQueijo = 1.0;
		Ingrediente ingr = new Ingrediente(nomeDeQueijo, valorDeQueijo);
		assertEquals("Ingrediente deve ter nome especificado.", nomeDeQueijo,
				ingr.getNome());
		assertEquals("Ingrediente deve ter valor especificado.", valorDeQueijo,
				ingr.getPreco());
	}
}
